[Overview][Constants][Classes][Index] | Reference for unit 'bufstream' (#fcl)

# TReadBufStream

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Read-only buffered stream.

## Declaration

Source position: bufstream.pp line 61

`type TReadBufStream = class(TBufStream)`
`public`
`function Seek(); override;` |  | Set location in the buffer
`function Read(); override;` |  | Reads data from the stream
`end;`

## Inheritance

`TReadBufStream` |  | Read-only buffered stream.
`TBufStream` |  | Common ancestor for buffered streams
`TOwnerStream`
`TStream`
`TObject`

## Description

TReadBufStream is a read-only buffered stream. It implements the needed methods to read data from the buffer and fill the buffer with additional data when needed.

The stream provides limited forward-seek possibilities.

## See also

TBufStream |  | Common ancestor for buffered streams
TWriteBufStream |  | Write-only buffered stream.